Subject: bug#46777: 28.0.50; ERC: NickServ identification: Prompt for password after other sources, overall simplifications

From: Amin Bandali <[email-masked]>
Date: Sun, 19 Sep 2021 11:26:20 -0400

Hi Olivier,

Olivier Certner writes:

> Hi all,
>
> Sorry for not having much time to respond, and thanks for having handled the 
> compatibility concern through proposals 1 & 2, which I agree with. In 
> particular, it is best that PASSWORD remains the first parameter to `erc-
> nickserv-identify', for compatibility but practical use also , since the nick 
> is normally already set when this function is called (non-interactively).
>
> The only thing I might have done differently is deleting `erc-nickserv-call-
> identify-function' instead of obsoleting it since, contrary to `erc-nickserv-
> identify', I don't think people would use it directly (the name sounds too 
> much "internal"; I may be wrong on its actual use, though). But your approach 
> is the most prudent one.

No worries, and thanks.  Yeah we probably could have indeed deleted
`erc-nickserv-call-identify-function', but decided to play it safe(r)
and keep it for now. :)

> I'll try to hang around in #erc and respond to your mails a bit more quickly, 
> at least for matters that do not take much time.
>
> Thanks,
> Olivier

Thanks!

-amin